unit compimages;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, rDBGrid, Grids, DBGrids, DB, ADODB, rDBGrid_MS, rDBRecView, jpeg,
  rImageZoom, rDBComponents, ComCtrls, rDBTreeView, ToolWin;

type
  TCompImg = class(TForm)
    qEmp: TADOQuery;
    qEmpEmployeeID: TAutoIncField;
    qEmpLastName: TWideStringField;
    qEmpFirstName: TWideStringField;
    qEmpTitle: TWideStringField;
    qEmpTitleOfCourtesy: TWideStringField;
    qEmpBirthDate: TDateTimeField;
    qEmpHireDate: TDateTimeField;
    qEmpPartTime: TBooleanField;
    qEmpSalary: TFloatField;
    qEmpAddress: TWideStringField;
    qEmpCity: TWideStringField;
    qEmpRegion: TWideStringField;
    qEmpPostalCode: TWideStringField;
    qEmpCountry: TWideStringField;
    qEmpHomePhone: TWideStringField;
    qEmpExtension: TWideStringField;
    qEmpPhoto: TBlobField;
    qEmpNotes: TWideMemoField;
    qEmpReportsTo: TIntegerField;
    dsEmp: TDataSource;
    gr1: TrDBGrid_MS;
    rDBRecView1: TrDBRecView;
    rDBTreeView1: TrDBTreeView;
    qCity: TADOQuery;
    dsCity: TDataSource;
    qCityCity: TWideStringField;
    qCityEmp: TADODataSet;
    qCityEmpEmployeeID: TAutoIncField;
    qCityEmpLastName: TWideStringField;
    qCityEmpFirstName: TWideStringField;
    qCityEmpTitle: TWideStringField;
    qCityEmpTitleOfCourtesy: TWideStringField;
    qCityEmpBirthDate: TDateTimeField;
    qCityEmpHireDate: TDateTimeField;
    qCityEmpPartTime: TBooleanField;
    qCityEmpAddress: TWideStringField;
    qCityEmpCity: TWideStringField;
    qCityEmpRegion: TWideStringField;
    qCityEmpPostalCode: TWideStringField;
    qCityEmpCountry: TWideStringField;
    qCityEmpHomePhone: TWideStringField;
    qCityEmpExtension: TWideStringField;
    qCityEmpPhoto: TBlobField;
    qCityEmpNotes: TWideMemoField;
    qCityEmpReportsTo: TIntegerField;
    qCityEmpSalary: TFloatField;
    dsqCityEmp: TDataSource;
    rDBtbTool: TToolBar;
    tb1: TToolButton;
    sb1: TToolButton;
    tb2: TToolButton;
    tb3: TToolButton;
    sb2: TToolButton;
    tb4: TToolButton;
    tb5: TToolButton;
    sb3: TToolButton;
    tb7: TToolButton;
    tb8: TToolButton;
    sb4: TToolButton;
    tb9: TToolButton;
    tb10: TToolButton;
    tb10b: TToolButton;
    sb5: TToolButton;
    tb11: TToolButton;
    procedure FormShow(Sender: TObject);
    procedure gr1ChangeSortEx(Sender: TObject; DataSet: TDataSet;
      SortFieldNames: TSortFieldNames; SortDirections: TSortDirections;
      var Accept: Boolean);
    procedure gr1RefreshData(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CompImg: TCompImg;

implementation

{$R *.dfm}

uses rdbtool_ADO, dm_rdbaction, dm_data;

procedure TCompImg.FormShow(Sender: TObject);
begin
  qEmp.Open;
  rDBAction.SetActiveGrid(gr1);
  qCity.Open;
  self.qCityEmp.Open;
  rDBTreeView1.RefreshData;
end;

procedure TCompImg.gr1ChangeSortEx(Sender: TObject; DataSet: TDataSet;
  SortFieldNames: TSortFieldNames; SortDirections: TSortDirections;
  var Accept: Boolean);
begin
  ChangeSortExADO(DataSet as TCustomADODataSet, SortFieldNames, SortDirections, Accept);
end;

procedure TCompImg.gr1RefreshData(Sender: TObject);
begin
;
end;

end.
