unit f_rdbgrid1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Grids, DBGrids, rDBGrid,
  DBCtrls, db, PropSaveMain, PropSaveGrids, rHTMLLabel, rImprovedComps,
  ComCtrls, rImageZoom, rDBComponents, RosiCompGlobalCfg, Mask, rDBCtrlGridEx;

type
  TrDBGrid1 = class(TForm)
    gr1: TrDBGrid;
    PropSaveMain1: TPropSaveMain;
    rDBGridsPropSave1: TrDBGridsPropSave;
    FontDlg: TFontDialog;
    pTop: TPanel;
    Memo1: TMemo;
    lblInfo: TrHTMLLabel;
    Panel2: TPanel;
    DBNavigator1: TDBNavigator;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    GroupBox2: TGroupBox;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    FormatLabel2: TrHTMLLabel;
    eTitleLine: TEdit;
    btTitleFont: TButton;
    cbTitleColor: TrColorBox;
    GroupBox1: TGroupBox;
    chEditing: TCheckBox;
    chAutoEdit: TCheckBox;
    chTitleExBtn: TCheckBox;
    chTitleBtn: TCheckBox;
    chFixColBtn: TCheckBox;
    GroupBox3: TGroupBox;
    chBoolCheckbox: TCheckBox;
    chEditDateTime: TCheckBox;
    GroupBox4: TGroupBox;
    GroupBox5: TGroupBox;
    rHTMLLabel2: TrHTMLLabel;
    eRowLines: TrEditNum;
    TabSheet5: TTabSheet;
    FormatLabel1: TrHTMLLabel;
    cbColWidth: TrComboBoxEx;
    rHTMLLabel3: TrHTMLLabel;
    eRowFixHeight: TrEditNum;
    cbRowVertAlign: TrComboBoxEx;
    rHTMLLabel4: TrHTMLLabel;
    chBoolOneClick: TCheckBox;
    chBoolAutoSave: TCheckBox;
    chFilterBtn: TCheckBox;
    chGroupedCol: TCheckBox;
    chColorOddRow: TCheckBox;
    GroupBox6: TGroupBox;
    chRowLines: TCheckBox;
    chColLines: TCheckBox;
    Label1: TLabel;
    cbDrawingStyle: TrComboBoxEx;
    chAlwaysShowSel: TCheckBox;
    clActiveRowColor: TrColorBox;
    FormatLabel27: TrHTMLLabel;
    cbROColor: TrColorBox;
    FormatLabel17: TrHTMLLabel;
    cbLC2: TrComboBoxEx;
    Label3: TLabel;
    rHTMLLabel5: TrHTMLLabel;
    eTitleLineFixHeight: TrEditNum;
    Label4: TLabel;
    eFixColWidth: TrEditNum;
    Label5: TLabel;
    eFixColTitleText: TEdit;
    Label6: TLabel;
    eFixColTextMask: TEdit;
    btIndicatorColFont: TButton;
    cbFixColAlign: TrComboBoxEx;
    Label7: TLabel;
    rHTMLLabel6: TrHTMLLabel;
    rHTMLLabel7: TrHTMLLabel;
    chDragDrop: TCheckBox;
    cbGlyphLook_nostore: TrComboBoxEx;
    rHTMLLabel8: TrHTMLLabel;
    clOddRowColor: TrColorBox;
    chColorActiveRow: TCheckBox;
    rHTMLLabel9: TrHTMLLabel;
    cbGridLook_nostore: TrComboBoxEx;
    rCustomGlyphs1: TrCustomGlyphs;
    btDefCol: TrButton;
    chCustomGlyphs: TCheckBox;
    TabSheet6: TTabSheet;
    chFooterVisible: TCheckBox;
    chFooterDrawCellLines: TCheckBox;
    cbFooterColor: TrColorBox;
    Label2: TLabel;
    eFooterHeight: TrEditNum;
    Label8: TLabel;
    chFooterBold: TCheckBox;
    btFooterFont: TButton;
    eFooterSimpleText: TEdit;
    Label9: TLabel;
    rHTMLLabel10: TrHTMLLabel;
    clHotTrackRowColor: TrColorBox;
    chRowFocus: TCheckBox;
    chFilterBar: TCheckBox;
    cbMemo: TrComboBoxEx;
    rHTMLLabel11: TrHTMLLabel;
    rHTMLLabel12: TrHTMLLabel;
    cbGraphic: TrComboBoxEx;
    rHTMLLabel1: TrHTMLLabel;
    eTitleLines: TrEditNum;
    eFixedCols: TrEditNum;
    Label10: TLabel;
    cbFixexColColor: TrColorBox;
    Label11: TLabel;
    btFixedColFont: TButton;
    btFixedColFontReset: TButton;
    btIndicatorColFontReset: TButton;
    TabSheet7: TTabSheet;
    btDefFieldGroup: TButton;
    mFldGroup: TMemo;
    Label12: TLabel;
    btDefDataBar: TButton;
    btDefStatusBar: TButton;
    btDefDataImages: TButton;
    Label13: TLabel;
    mCond: TMemo;
    btDefFooterValue: TButton;
    Label14: TLabel;
    eFooterFld: TEdit;
    Label15: TLabel;
    eFooterMask: TEdit;
    chSkipCellHighlight: TCheckBox;
    btRevomeBars: TButton;
    btRemoveDataImg: TButton;
    btRemoveFooterValue: TButton;
    btRemoveFieldGroup: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure chTitleExBtnClick(Sender: TObject);
    procedure gr1TitleExClick(Sender: TObject);
    procedure gr1FixColClick(Sender: TObject);
    procedure lblInfoAnchorClick(Sender: TObject; LinkName: String);
    procedure btTitleFontClick(Sender: TObject);
    procedure Memo1DragOver(Sender, Source: TObject; X, Y: Integer; State: TDragState; var Accept: Boolean);
    procedure Memo1DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure btIndicatorColFontClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure cbGridLook_nostoreClick(Sender: TObject);
    procedure btDefColClick(Sender: TObject);
    procedure chFooterVisibleClick(Sender: TObject);
    procedure gr1FooterCellClick(Sender: TObject; ACol: Integer; Column: TColumn);
    procedure gr1GetSummaryResult(Sender: TObject; F: TField; SummaryResults: TSummaryResults; TagStr: string; ForFooter: Boolean; var DisplayText: string);
    procedure btFooterFontClick(Sender: TObject);
    procedure rDBGridsPropSave1ReadSaveProps(G: TrDBGrid; A: TPropSaveAction; PSFile: TPropSaveFile);
    procedure btFixedColFontClick(Sender: TObject);
    procedure btFixedColFontResetClick(Sender: TObject);
    procedure btIndicatorColFontResetClick(Sender: TObject);
    procedure btDefFieldGroupClick(Sender: TObject);
    procedure btDefDataBarClick(Sender: TObject);
    procedure btDefStatusBarClick(Sender: TObject);
    procedure btDefDataImagesClick(Sender: TObject);
    procedure btDefFooterValueClick(Sender: TObject);
    procedure btRevomeBarsClick(Sender: TObject);
    procedure btRemoveDataImgClick(Sender: TObject);
    procedure btRemoveFooterValueClick(Sender: TObject);
    procedure btRemoveFieldGroupClick(Sender: TObject);
  private
    IsSetting: Boolean;
    procedure SetControls;
  public
  end;

var
  rDBGrid1: TrDBGrid1;

implementation

uses dm_data, f_main, rDBGrid_DTEdit, rdlg, rdbtool, rpictool;
{$R *.dfm}

procedure TrDBGrid1.FormCreate(Sender: TObject);
begin
  LoadGridLookStyleList(cbGridLook_nostore.Items);
  cbGridLook_nostore.ItemIndex:=0;
  IsSetting:=false;
end;

procedure TrDBGrid1.FormShow(Sender: TObject);
begin
  eRowLines.OnChange:=self.chTitleExBtnClick;
  eRowFixHeight.OnChange:=self.chTitleExBtnClick;
  self.eTitleLines.OnChange:=self.chTitleExBtnClick;
  eFixColWidth.OnChange:=self.chTitleExBtnClick;
  eFixedCols.OnChange:=self.chTitleExBtnClick;
  DMData.qEmp.Close;
  DMData.qEmp.Open;
  SetControls;
  gr1.ReSort;
  gr1.RecalculateSummaryResults(true);
end;

procedure TrDBGrid1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DMData.qEmp.Close;
end;

procedure TrDBGrid1.SetControls;
begin
  if IsSetting then
    Exit;
  with gr1 do
  begin
    // title buttons
    OptionsEx2.FixedCell.TitleExBtn:=self.chTitleExBtn.Checked;
    OptionsEx2.FixedCell.TitleBtn:=self.chTitleBtn.Checked;
    OptionsEx2.FixedCell.FixedColBtn:=self.chFixColBtn.Checked;

    OptionsEx2.Filters.FunnelBtn:=chFilterBtn.Checked;
    OptionsEx2.Filters.TextBar:=chFilterBar.Checked;
    OptionsEx2.Groups.Active:=chGroupedCol.Checked;

    gr1.TitleLines:=eTitleLines.AsInteger;

    // memo graphic datetime
    OptionsEx2.Editors.Memo:=TOptionsBlobType(cbMemo.ItemIndex);
    OptionsEx2.Editors.Graphic:=TOptionsBlobType(cbGraphic.ItemIndex);
    OptionsEx2.Editors.DateTimePicker:=self.chEditDateTime.Checked;

    // bool
    OptionsEx2.Editors.BoolGlyphs:=self.chBoolCheckbox.Checked;
    OptionsEx2.Editors.BoolOneClickChange:=self.chBoolOneClick.Checked;
    OptionsEx2.Editors.BoolAutoSave:=self.chBoolAutoSave.Checked;

    // row lines
    gr1.RowLines:=eRowLines.AsInteger;
    gr1.RowFixHeight:=eRowFixHeight.AsInteger;
    gr1.RowVerticalAlign:=TVerticalAlignment(cbRowVertAlign.ItemIndex);

    // look
    OptionsEx2.Appearance.DrawRowFocus:=self.chRowFocus.Checked;
    OptionsEx2.Appearance.DrawColoredRow:=self.chColorOddRow.Checked;
    ColorOddRow:=self.clOddRowColor.Selected;

    if self.chColorActiveRow.Checked then
      ColorActiveRow:=clActiveRowColor.Selected
    else
      ColorActiveRow:=clNone;
    gr1.ColorHotTrackRow:=self.clHotTrackRowColor.Selected;

    gr1.GlyphLookStyle:=TGlyphLookStyles(cbGlyphLook_nostore.ItemIndex);

    if chRowLines.Checked then
      Options:=Options + [dgRowLines]
    else
      Options:=Options - [dgRowLines];
    if chColLines.Checked then
      Options:=Options + [dgColLines]
    else
      Options:=Options - [dgColLines];
    DrawingStyle:=TGridDrawingStyle(self.cbDrawingStyle.ItemIndex);

    // drag drop
    OptionsEx2.Appearance.DragCell:=self.chDragDrop.Checked;
    OptionsEx2.Appearance.SkipCellHighlight:=self.chSkipCellHighlight.Checked;

    // editing
    if chEditing.Checked then
      Options:=Options + [dgEditing]
    else
      Options:=Options - [dgEditing];
    DataSource.AutoEdit:=chAutoEdit.Checked;
    if chAlwaysShowSel.Checked then
      Options:=Options + [dgAlwaysShowSelection]
    else
      Options:=Options - [dgAlwaysShowSelection];

    FontColorReadOnly:=cbROColor.Selected;
    LookupCondition:=TLookupCondition(cbLC2.ItemIndex);

    // title line text
    TitleLineText.Text:=eTitleLine.Text;
    TitleLineText.Color:=cbTitleColor.Selected;
    TitleLineText.FixHeight:=eTitleLineFixHeight.AsInteger;

    // fixed column
    FixedColText.FixedColWidth:=self.eFixColWidth.AsInteger;
    FixedColText.TitleText:=eFixColTitleText.Text;
    FixedColText.TextMask:=eFixColTextMask.Text;
    FixedColText.TextAlign:=TAlignment(cbFixColAlign.ItemIndex);

    OptionsEx2.FixedCell.FixedCols:=eFixedCols.AsInteger;
    OptionsEx2.FixedCell.FixedColColor:=cbFixexColColor.Selected;

    // column width
    ColumnWidth:=TColumnWidth(cbColWidth.ItemIndex);

    // custom glyphs
    if self.chCustomGlyphs.Checked then
      gr1.CustomGlyphs:=self.rCustomGlyphs1
    else
      gr1.CustomGlyphs:=nil;
  end;

  // gr1.OptionsEx2.Editors.BoolGlyphs:=self.chBoolCheckbox.Checked;
end;

procedure TrDBGrid1.chFooterVisibleClick(Sender: TObject);
begin
  self.gr1.FooterRow.FooterVisible:=self.chFooterVisible.Checked;
  self.gr1.FooterRow.ShowCellLines:=self.chFooterDrawCellLines.Checked;
  self.gr1.FooterRow.Color:=self.cbFooterColor.Selected;
  self.gr1.FooterRow.FooterHeight:=self.eFooterHeight.AsInteger;
  self.gr1.FooterRow.BoldText:=self.chFooterBold.Checked;
  self.gr1.FooterRow.SimpleText:=self.eFooterSimpleText.Text;
end;

procedure TrDBGrid1.chTitleExBtnClick(Sender: TObject);
begin
  SetControls;
end;

procedure TrDBGrid1.cbGridLook_nostoreClick(Sender: TObject);
begin
  IsSetting:=true;
  try
    gr1.DrawingStyle:=gdsGradient;
    gr1.GridLookStyle:=TGridLookStyles(cbGridLook_nostore.ItemIndex);
    self.clActiveRowColor.Selected:=gr1.ColorActiveRow;
    self.chColorActiveRow.Checked:=true;

    self.clOddRowColor.Selected:=gr1.ColorOddRow;
    self.chColorOddRow.Checked:=gr1.OptionsEx2.Appearance.DrawColoredRow;

    self.cbDrawingStyle.ItemIndex:=2;
  finally
    IsSetting:=false;
  end;
end;

procedure TrDBGrid1.btDefColClick(Sender: TObject);
begin
  gr1.RestoreColumnsWidth;
end;

procedure TrDBGrid1.btIndicatorColFontClick(Sender: TObject);
begin
  FontDlg.Font.Assign(gr1.FixedColText.Font);
  if FontDlg.Execute then
    gr1.FixedColText.Font.Assign(FontDlg.Font);
end;

procedure TrDBGrid1.btIndicatorColFontResetClick(Sender: TObject);
begin
  gr1.FixedColText.ParentFont:=true;
end;

procedure TrDBGrid1.lblInfoAnchorClick(Sender: TObject; LinkName: String);
begin
  ShowrDBGridEditor(gr1);
  gr1.Invalidate;
end;

procedure TrDBGrid1.Memo1DragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  if Source is TrDBGrid then
    Memo1.Lines.Add((Source as TrDBGrid).GetCellValue((Source as TrDBGrid).SelectedField))
  else
    if Source is TDBGrid then
      Memo1.Lines.Add((Source as TDBGrid).SelectedField.AsString);
end;

procedure TrDBGrid1.Memo1DragOver(Sender, Source: TObject; X, Y: Integer; State: TDragState; var Accept: Boolean);
begin
  Accept:=Source is TDBGrid;
end;

procedure TrDBGrid1.rDBGridsPropSave1ReadSaveProps(G: TrDBGrid; A: TPropSaveAction; PSFile: TPropSaveFile);
begin
  case A of
    psaRead:
      PSFile.WriteInteger(rDBGridsPropSave1.GetKey(G), 'GridTag', G.Tag);
    psaSave:
      G.Tag:=PSFile.ReadInteger(rDBGridsPropSave1.GetKey(G), 'GridTag', G.Tag);
    psaDelete:
      PSFile.DeleteKey(rDBGridsPropSave1.GetKey(G), 'GridTag');
  end;
end;

procedure TrDBGrid1.gr1TitleExClick(Sender: TObject);
begin
  DlgI('TitleEx Btn Click on ' + (Sender as TControl).Name);
end;

procedure TrDBGrid1.gr1FixColClick(Sender: TObject);
begin
  DlgI('FixedCol Btn Click on ' + (Sender as TControl).Name);
end;

procedure TrDBGrid1.gr1FooterCellClick(Sender: TObject; ACol: Integer; Column: TColumn);
begin
  if Assigned(Column) then
    Memo1.Lines.Add(Format('Footer cell click (%s)', [Column.FieldName]));
end;

procedure TrDBGrid1.gr1GetSummaryResult(Sender: TObject; F: TField; SummaryResults: TSummaryResults; TagStr: string; ForFooter: Boolean;
  var DisplayText: string);
begin
  if not ForFooter and (F = DMData.qEmpSalary) then
    if AnsiPos('COUNT', TagStr) = 0 then
      DisplayText:='$ ' + DisplayText;
  // DisplayText:=FormatFloat('#,##0.00',SummaryResults.Sum);
end;

procedure TrDBGrid1.btTitleFontClick(Sender: TObject);
begin
  FontDlg.Font.Assign(gr1.TitleLineText.Font);
  if FontDlg.Execute then
    gr1.TitleLineText.Font.Assign(FontDlg.Font);
end;

procedure TrDBGrid1.btFixedColFontClick(Sender: TObject);
begin
  FontDlg.Font.Assign(gr1.OptionsEx2.FixedCell.FixedColFont);
  if FontDlg.Execute then
    gr1.OptionsEx2.FixedCell.FixedColFont.Assign(FontDlg.Font);
end;

procedure TrDBGrid1.btFixedColFontResetClick(Sender: TObject);
begin
  gr1.OptionsEx2.FixedCell.FixedColParentFont:=true;
end;

procedure TrDBGrid1.btFooterFontClick(Sender: TObject);
begin
  FontDlg.Font.Assign(gr1.FooterRow.Font);
  if FontDlg.Execute then
    gr1.FooterRow.Font.Assign(FontDlg.Font);
end;

procedure TrDBGrid1.btDefFieldGroupClick(Sender: TObject);
begin
  gr1.Fields_SetGroupSettings(3, 'Phone+Ext', '<<HomePhone>>/<<Extension>>', clNone, clNone, false, mFldGroup.Lines);
end;

procedure TrDBGrid1.btRemoveFieldGroupClick(Sender: TObject);
begin
  gr1.Fields_SetGroupSettings(3, '', '', clNone, clNone, false, nil);
end;

procedure TrDBGrid1.btDefDataBarClick(Sender: TObject);
begin
  gr1.Fields_SetDataBarSettings('Salary', 1000, 5000, dbtValue, clAqua, clWhite);
end;

procedure TrDBGrid1.btDefStatusBarClick(Sender: TObject);
begin
  gr1.Fields_SetStatusBarSettings('EmployeeID', 6, sbtDots, clNone, clNone);
end;

procedure TrDBGrid1.btRevomeBarsClick(Sender: TObject);
begin
  gr1.Fields_SetDataBarSettings('Salary', 0, 0);
  gr1.Fields_SetStatusBarSettings('EmployeeID', 0);
end;

procedure TrDBGrid1.btDefDataImagesClick(Sender: TObject);
begin
  gr1.DataImages_SetSettings('Salary', mCond.Lines, 'L');
end;

procedure TrDBGrid1.btRemoveDataImgClick(Sender: TObject);
begin
  gr1.DataImages_SetSettings('Salary', nil);
end;

procedure TrDBGrid1.btDefFooterValueClick(Sender: TObject);
begin
  gr1.FooterRow_SetSettings(eFooterFld.Text, eFooterMask.Text, tadDefault, [fsdBold], clRed, 0);
end;

procedure TrDBGrid1.btRemoveFooterValueClick(Sender: TObject);
begin
  gr1.FooterRow_SetSettings(eFooterFld.Text, '');
end;

end.
