unit rstring;

{<
  rstring unit contains all resource strings.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Apr 2006)
  @lastmod(Lun 2015)
}

interface

const LangVer='EN';
const LangVerEN=1;

resourcestring

  // ***************************************************
  // COMMON STRING

  // Actions
  { }
  sInitialize = 'Balatyor';
  sBrowsing = 'Taryor';
  sEditing = 'Dzenliyor';
  sInserting = 'ekliyor';
  sLoading = 'Yklyor';
  sCreating = 'Oluturuyor';
  sPrinting = 'Yazdryor';
  sExporting = 'Da veriyor';
  sLookingFor = 'Aryor...';
  sWaiting = 'Bekliyor';
  sChecking = 'Denetliyor';
  sImporting = 'eri Alyor';
  sOfData = ' veriyi...';

  // Questions
  { }
  sContinueQ = 'Devam?';
  sTerminateQ = 'Sonlamdr?';
  sCancelQ = 'ptal?';
  sDeleteQ = 'Sil?';
  sOverwriteQ = 'stne Yaz?';
  sTryAgainQ = 'Yeniden Dene?';
  sSetDefaultValues = 'lk Duruma Getir?';
  sSaveChangesQ = 'Deiiklikleri Sakla?';
  sUseChangesQ = 'Deiiklikleri Kullan?';
  sUseFilterQ = 'Seili filtreyi Kullan?';

  // File and dir
  { }
  sFile = 'Dosya "%s".';
  sFileNotFound = 'Dosya "%s" bulunamad.';
  sDirNotFound = 'Dizin "%s" bulunamad.';
  sFileExist = 'Dosya "%s" var.';
  sDirExist = 'Dizin "%s" var.';
  sFileSaved = 'Dosya "%s" sakland.';
  sFileOpenQ = 'Dosya A "%s"?';
  sOpenOtherFileQ = 'Baka Dosya A?';
  sOpenLastFileQ = 'Orijinal Dosyay A?';

  // File error
  { }
  sMakeDirErr = 'Hedef Dizin Olumuyory "%s".';
  sFilePrintErr = 'Dosyay Yazdramyor "%s".';
  sFileOpenErr = 'Dosyay aamyor "%s".';
  sFileOpenErr2 = 'Dosya Yok (muhtemelen).';
  sFileSaveErr = 'Dosya saklarken hata "%s".';
  sFileSaveErr2 = 'Hedef dizin iin eriim hakknz yok' + ' yada dizin ypk yada dosya ak.';
  sDLLNotFound = 'Dinamik Library "%s" bulunamad yada bozulmu.';

  // File types
  { }
  sFileTypeAll = 'Tm dosyalar (*.*)|*.*';
  sFileTypeTXT = 'Metin Dosyas (*.txt)|*.txt';
  sFileTypeSLK = 'Sembolik balant dosyas (*.slk)|*.slk';
  sFileTypeRTF = 'Zengin Metin Format (*.rtf)|*.rtf';
  sFileTypeDOC = 'MSWord belgesi (*.doc)|*.doc';
  sFileTypeDOCX = 'MSWord belgesi (*.docx)|*.docx';
  sFileTypeODT = 'Belge Ama format (*.odt)|*.odt';
  sFileTypeXLS = 'Excel Dosyas (*.xls*)|*.xls*';
  sFileTypeMDB = 'Database MS Access (*.mdb)|*.mdb';
  sFileTypeACCDB = 'Database MS Access (*.accdb)|*.accdb';
  sFileTypeSQL = 'SQL komutu (*.sql)|*.sql';
  sFileTypeDBF = 'dBase dosyas (*.dbf)|*.dbf';
  sFileTypePDF = 'PDF dosyas (*.pdf)|*.pdf';
  sFileTypeBMP = 'Bitmaps (*.bmp)|*.bmp';
  sFileTypeJPG = 'Jpeg dosyas (*.jpg;*.jpeg)|*.jpg;*.jpeg';
  sFileTypePNG = 'PNG dosyas (*.png)|*.png';
  sFileTypeBMPJPG = 'Grafik formatlar (*.bmp;*.jpg;*.jpeg)|*.bmp;*.jpg;*.jpeg';
  sFileTypeBMPJPGPNG = 'Grafik formatlar (*.bmp;*.jpg;*.jpeg;*.png)|*.bmp;*.jpg;*.jpeg;*.png';

  // Error descriptions
  { }
  sErrorDescription = 'Hata tanm:';
  sRuntimeErr = 'Runtime hatas.';
  sRaiseErr = 'Beklenmeyen hata. Uygulamay kapat ve Yeniden A.';


  // Format error
  { }
  sInputErr = 'Girdi parametrelerinde hata.';
  sFormatNumberErr = 'Hatal say format.';
  sFormatDateErr = 'Hatal tarih format.';
  sFormatYearErr = 'Hatal Yl format.';
  sDateIntervalErr = 'Hatal tarih dnemi.';
  sExpressionErr = 'fadede hata.';
  sPictureErr = 'Hatal resim format.';

  // Other
  { }
  sAborted = 'lem durduruldu.';
  sTerminate = 'Program sonlanacak.';
  sNotRegist = 'Program kaytl deil.';
  sNotImplement = 'Bu ilem henz tammlanmad.';
  sNotSupported = 'Bu fonksiyon desteklenmiyor.';
  sVersion = 'Srm';
  sAllOK = 'Tm OK.';
  sYes = 'Evet';
  sNo = 'Hayr';
  sOK = 'Ok';
  sCancel = 'ptal';

  sWrongPsw = 'Yanl ifre';
  sMailErr = 'E-mail Gnderme hatas.';
  sMailGenInfo = 'e-mail olumas...';

  // ***************************************************
  // DATABASE STRING

  // DB action
  { }
  sConnecting = 'Varitabanna Balanyor...';
  sLogging = 'Varitabanna Giriyor...';
  sInactive = 'Aktif Deil';
  sRecord = 'kayt';
  sNumRecords = '%d kayt';
  sSelRecords = 'Seili %d kayt.';

  // DB questions
  { }
  sDelRecordQ = 'Seili kayt sil?';
  sDelMultipleRecordQ = 'Seili tm kaytlar sil?';

  // DB error
  { }
  sConnectDataErr = 'Varitaban "%s" na balant baarsz.';
  sCreateDataErr = 'Hata: Veri olumad.';
  sOpenDataErr = 'Hata: Veri almad.';
  sReadDataErr = 'Hata: Veri okunamad.';
  sSaveDataErr = 'Hata: Veri saklanamad.';
  sCompressDataErr = 'Hata: Veri sktrlamad.';
  sExportDataErr = 'Hata: Veri dar verilemedi.';
  sImportDataErr = 'Hata: Veri ieri alnamad.';
  sDecodeDataErr = 'Veriyi zemedi.';
  sSaveRecordErr = 'Hata: Kayt saklanamad';
  sOpenTableErr = 'Hata: "%s" alamad.';
  sEditRecordErr = 'Hata: Kayt dzenlenemedi.';
  sSortDataErr = 'Hata: Veri sralam.';
  sNoSavedItems = 'Saklanan kayt no';
  sInputItemName = 'Saklanan ge ad:';

  // Find results
  { }
  sNotFound = 'Bulunamad';
  sFound = 'Bulundu';

  sFilterName = 'Filtre ad';
  sFilterString = 'Filtre koulu';

  sEndEditing = 'Kayt dzenlemeyi bitir.';

  // ***************************************************
  // UNIT rdlg

  { }
  sInformation = 'Bilgi';
  sQuestion = 'Soru';
  sWarning = 'Uyar';
  sInput = 'Girdi';
  sError = 'Hata';
  sBtOk = '&Ok';
  sBtYes = '&Evet';
  sBtNo = '&Hayt';
  sBtCancel = '&ptal';
  sCut = 'Kes';
  sCopy = 'Kopyala';
  sPaste = 'Yaptr';
  sDelete = 'Sil';
  sUndo = 'GeriAl';
  sSelectAll = 'Tmn Se';
  sSaveToFile = 'Dosyaya sakla...';
  sLoadFromFile = 'Dosyadan ykle...';
  sFind = 'Bul';
  sFindNext = 'Sonrakini Bul';
  sChangeFont = 'Font Dei';
  sAbort = 'ptal';
  sWordWrap = 'Word wrap';

  // ***************************************************
  // UNIT RTFReport

  { }
  sReport = 'Rapor';
  sTemplateFormatErr = 'ablon dosyas hatal formatta.';
  sPrinterNotFound = '"%s" Yazcs bulunamad.';

  sTemplateBracketErr = 'Fonksiyonda parantez hatas: "%s".';
  sTemplateFieldErr = 'Hesaplama Hatas Alan: "%s".';
  sTemplateDatasetErr = 'Yanl Veri Kmesi "%s", (A..Z izin verilen)';
  sTemplateTagNotFoundErr = '"%s" bulunamad.';
  sTemplateCalculationErr = 'Hesaplama Hatas Fonksiyon "%s".';
  sTemplateIncorrectTag = 'Geersiz im "%s".';
  sTemplateInsertTableErr = 'm "%s" sadece tablo iinde bir srada kullanlabilir.';

  sCreatingReport = 'Rapor Oluturuyor...';
  sCreatingReportErr = 'Rapor oluturmada Hata';
  sFileGeneration = 'Rapor oluturma dosya %s...';
  sPDFWaitAgainQ = 'kt dosyas henz olumad. Hala beklemek istiyormusunuz?';
  sPDFConfiguration = 'PDF yazc ayar...';
  sPDFConfigurationErr = 'Hata PDF yazc ayarnda.';
  sDeleteOldFileErr = 'kt dosyas %s var ve stne yazlamaz.';

  // OLE
  sMSWordNotFound = 'MSWord uygulamas bulunamad.';
  sMSWordError = 'MSWord uygulamas Hata.';
  sMSExcelNotFound = 'MSExcel uygulamas bulunamad';
  sMSExcelError = 'MSExcel uygulamas Hata.';
  sMSExcelRunningToClose = 'Oluan MSExcel uygulamas kapanacak ve dosya deiti. Deiiklikleri sklama istiyormusunuz?';

  // ***************************************************
  // rDBGrid unit
  { }
  sPMSum = 'Toplam = %sum';
  sPMMin = 'Min = %min';
  sPMMax = 'Max = %max';
  sPMAvg = 'Ortalama = %avg';
  sPMCountVal = 'Deer Says = %CountVal';
  sPMCountNull = 'Bo Says = %CountNull';
  sPMCountAll = 'Tmn Say = %CountAll';
  sPMDistinctValues = 'Distinct values = %DistinctValues';

  sSelectAllRecords = 'Tm kaytlar se';
  sDeselectAllRecords = 'Tm kaytlarn seimini kaldr';
  sReverseSelection = 'Seimin tersi';
  sDeleteSelectedRecords = 'Seili kaytlar sil';
  sNoRecordsSelected = 'Seili kayt yok';
  sSelectedNumRecContinueQ = 'Seili %d kayt var, devam?';

  sCellParamsCondErr='Alan %s iin geersiz koul. Koul devre d kalacak.';
  sCellParamsCondStart='balayan';
  sCellParamsCondNotStart='balamayan';
  sCellParamsCondContain='ierir';
  sCellParamsCondNotContain='iermez';
  sCellParamsCondAllways='daima';
  sCellParamsActSet='>>>';
  sCellParamsActAND='VE';
  sCellParamsActOR='VEYA';

  sFilterSelectAll = '(tmn se)';
  sFilterNullValue = '(bo)';
  sIndicatorColumnName = '- Sra bal -';
  sFiltered = 'Filtered';
  sFilterResetHint = 'Ctrl+Left to reset';
  sFilterSetHint = 'Ctrl+Right to filter';

  // ***************************************************
  // rDBComponent unit
  { }
  sPictureEmpty = '(bo)';
  sPictureCorrupted = '(bozuk)';
  sSaveInJPEGFormat = 'JPG formatnda sakla';
  sPictureResize = 'znrlk deitir';
  sResizeRatioQ = 'stenen l yzde (1% - 500%):';
  sZoomAutoFit = 'Yaknlatr - alana';
  sZoomIn = 'Yaknlatr';
  sZoomOut = 'Uzaklatr';
  sZoom = 'Yaknlatr';
  sShowPicEdit = 'Yeni Pencerede dzenle (parlaklk, kontrast)';
  sPicConvert = 'Dntr...';
  sPicConvertJPG1 = 'gncel kayt JPG ye';
  sPicConvertBMP1 = 'gncel kayt BMP ye';
  sPicConvertJPGAll = 'tm kaytlar JPG ye';
  sPicConvertBMPAll = 'tm kaytlar BMP ye';
  sPicConvertAllQ = 'bu ilem bu alann tablodaki tm kaytlatn dntrr';
  sPicConvertProcess = 'Dntryor...';
  sBlobOpen = 'A';
  sBlobLoad = 'Ykle';
  sBlobSave = 'Sakla';
  sBlobClear = 'Temizle';
  sBlobRename = 'Dosya adi dei';
  sBlobChangeExtQ = 'Dosya tipini deitirmek istiyormuzunuz (uzant)? Bu dosyann okunabilirliini etkileyebilir.';
  sBlobFileOverLimitQ = 'Seili dosyanm boyu (%f MB) Snr olan (%f MB) yi ayor.';

  sFormatInfo = 'Seili metini formatla';
  sFormatBold = 'Kaln';
  sFormatItalic = 'talik';
  sFormatUnderline = 'Altizgili';
  sFormatAsUnnumberedList='Numarasz liste';
  sFormatAsNumberedList='Numaral liste';
  sFormatNewPage = 'Sayfa sonu ekle';
  sFormatNewLine2 = 'Satr sonu ekle ';
  sFormatNewLineAuto='Tm satrlara son ekle';
  sFormatHorLine = 'Yatay izgi ekle';
  sFormatHTMLLink = 'HTML balants ekle';
  sFormatClear = 'Tm formatlar temizle';
  sEditInfo = 'Pencerede gster';

  // added Dec2020
  sFont = 'Font';
  sFormatStrikeOut = 'Strike out';
  sFontSmaller = 'Smaller';
  sFontBigger = 'Bigger';
  sFontColor = 'Font color';
  sParagraph = 'Paragraph';
  sIndentDecrease = 'Decrease indent';
  sIndentIncrease = 'Increase indent';
  sTextAlignLeft = 'Align text to left';
  sTextAlignRight = 'Align text to right';
  sTextAlignCenter = 'Align text center';
  sBulletPoints = 'Bullet points . . .';
  sBulletNumbers = 'Bullets 1, 2, 3';
  sBulletLetters = 'Bullets a, b, c';

  sConfirmChanges = 'Confirm changes';
  sCancelChanges = 'Cancel changes';
  // added Dec2020

  // ***************************************************
  // rDBMemoGrid unit
  { }
  mnDelRow = 'Sra Sil';
  mnMoveUpRow = 'Sray ste al';
  mnMoveDownRow = 'Sray alta al';
  mnCopyCell = 'Hcre Kopyala';
  mnPasteCell = 'Hcre yaptr';
  mnCopyTable = 'Tm tabloyu kopyala';
  mnPasteTable = 'Tm tabloyu yaptr';
  mnAppendTable = 'Tm tabloyu ekle';
  mnClearTable = 'Tablo temizle';
  mnSelectRow = 'Sra se';
  mnSelectAll = 'Tm sralar se';
  mnSelectCol = 'Stun se';
  mnSelectCell = 'Hcre se';
  mnDeselectAll = 'Seim iptal';

  // ***************************************************
  // rDBPrint unit
  { }
  sPrintToomuchCols = 'Yazdrlacak yer ok geni, baz stun seimlerini kaldr yada kk font boyu se.';
  sPrintRecCount='Toplam kayt says: %d';
  sPrintPreviewLimit = 'nizleme 60 sayfayla snrldr.';

  // ***************************************************
  // rpictool unit
  { }
  sColorBlack = 'Siyah';
  sColorBlackLoc = 'Siyah';
  sColorMaroon = 'Bordo';
  sColorMaroonLoc = 'Bordo';
  sColorGreen = 'Yeil';
  sColorGreenLoc = 'Yeil';
  sColorOlive = 'Zeytin';
  sColorOliveLoc = 'Zeytin';
  sColorNavy = 'Lacivert';
  sColorNavyLoc = 'Lacivert';
  sColorPurple = 'Mor';
  sColorPurpleLoc = 'Mor';
  sColorTeal = 'Teal';
  sColorTealLoc = 'Teal';
  sColorGray = 'Gri';
  sColorGrayLoc = 'Gri';
  sColorSilver = 'Gm';
  sColorSilverLoc = 'Gm';
  sColorRed = 'Krmz';
  sColorRedLoc = 'Krmz';
  sColorLime = 'Kire';
  sColorLimeLoc = 'Kire';
  sColorYellow = 'Sar';
  sColorYellowLoc = 'Sar';
  sColorBlue = 'Beyaz';
  sColorBlueLoc = 'Beyaz';
  sColorFuchsia = 'Fuchsia';
  sColorFuchsiaLoc = 'Fuchsia';
  sColorAqua = 'Aqua';
  sColorAquaLoc = 'Aqua';
  sColorWhite = 'Beyaz';
  sColorWhiteLoc = 'Beyaz';

  sColorMoneyGreen = 'Para Yeil';
  sColorMoneyGreenLoc = 'ParaYeil';
  sColorSkyBlue = 'GkMavi';
  sColorSkyBlueLoc = 'Gk Mavi';
  sColorCream = 'Krem';
  sColorCreamLoc = 'Krem';
  sColorMedGray = 'MedGri';
  sColorMedGrayLoc = 'Med Gri';

  sColorCustom = 'zel...';
  sColorCustomLoc = 'zel...';

implementation

end.
